﻿/**Begin D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTENTRY_A') 
 CREATE TABLE T_PMCT_LISTENTRY_A (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLISTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FLISTEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FLISTEXDATE DATETIME,
FLISTEXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSIGNOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSIGNTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSIGNAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_ITEMENTRY' AND KSQL_COL_NAME ='FSIGNOFTAXAT') 
 ALTER TABLE T_PMCT_SETTLE_ITEMENTRY ADD (FSIGNOFTAXAT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_ITEMENTRY' AND KSQL_COL_NAME ='FSIGNAMT') 
 ALTER TABLE T_PMCT_SETTLE_ITEMENTRY ADD (FSIGNAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_ITEMENTRY' AND KSQL_COL_NAME ='FSIGNTAXAMT') 
 ALTER TABLE T_PMCT_SETTLE_ITEMENTRY ADD (FSIGNTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FLISTCURRENCY') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FLISTCURRENCY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FLISTEXRATETABLE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FLISTEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FLISTEXDATE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FLISTEXDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FLISTEXRATE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FLISTEXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FCURBGBHSJE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FCURBGBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FCURBGSE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FCURBGSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNBGJSHJ') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FCURSIGNBGJSHJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNBGBHSJE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FCURSIGNBGBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNBGSE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY ADD (FCURSIGNBGSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_SETTLE' AND KSQL_COL_NAME ='FSETTLECURRENCY') 
 ALTER TABLE T_PMCT_CONTRACT_SETTLE ADD (FSETTLECURRENCY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_SETTLE' AND KSQL_COL_NAME ='FSETEXRATETABLE') 
 ALTER TABLE T_PMCT_CONTRACT_SETTLE ADD (FSETEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_SETTLE' AND KSQL_COL_NAME ='FSETTLEEXDATE') 
 ALTER TABLE T_PMCT_CONTRACT_SETTLE ADD (FSETTLEEXDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_SETTLE' AND KSQL_COL_NAME ='FSETEXCHANGERATE') 
 ALTER TABLE T_PMCT_CONTRACT_SETTLE ADD (FSETEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FLISTCURRENCY') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FLISTCURRENCY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FLISTEXRATETABLE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FLISTEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FLISTEXDATE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FLISTEXDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FLISTEXRATE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FLISTEXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FCURSPBHSJE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FCURSPBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FCURSPSE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FCURSPSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNSPJSHJ') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FCURSIGNSPJSHJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNSPBHSJE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FCURSIGNSPBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FCURSIGNSPSE') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FCURSIGNSPSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FLISTCURRENCY') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FLISTCURRENCY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FLISTEXRATETABLE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FLISTEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FLISTEXDATE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FLISTEXDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FLISTEXRATE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FLISTEXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FCURBCBHSJE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FCURBCBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FCURBCSE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FCURBCSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FCURSIGNBCJSHJ') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FCURSIGNBCJSHJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FCURSIGNBCBHSJE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FCURSIGNBCBHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FCURSIGNBCSE') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FCURSIGNBCSE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );

/**End D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMCT_table.sql **/
