﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMCT_IN_INVOICE', 'T_PMCT_IN_INVOICE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_IN_INVOICE_FBILLNO') CREATE  CLUSTERED INDEX IDX_T_PMCT_IN_INVOICE_FBILLNO ON T_PMCT_IN_INVOICE ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_INVOICEENTRY', 'T_PMCT_INVOICEENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INVOICEENTRY_FNAME') CREATE  CLUSTERED INDEX IDX_T_PMCT_INVOICEENTRY_FNAME ON T_PMCT_INVOICEENTRY ( FNAME );


 EXEC P_ALTERPK 'PK_PMCT_INVOICEPICTURE', 'T_PMCT_INVOICEPICTURE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INVOICEPICTURE_FID') CREATE  CLUSTERED INDEX IDX_T_PMCT_INVOICEPICTURE_FID ON T_PMCT_INVOICEPICTURE ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_OUT_INVOICE', 'T_PMCT_OUT_INVOICE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_OUT_INV_FBILLNO') CREATE  CLUSTERED INDEX IDX_T_PMCT_OUT_INV_FBILLNO ON T_PMCT_OUT_INVOICE ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_INVOICE_CONFIG', 'T_PMCT_INVOICE_CONFIG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INV_CONFIG_NUMBER') CREATE  CLUSTERED INDEX IDX_T_PMCT_INV_CONFIG_NUMBER ON T_PMCT_INVOICE_CONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRACT_SETTLE', 'T_PMCT_CONTRACT_SETTLE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_CONTRACT_SETTLE_NO') CREATE  CLUSTERED INDEX IDX_T_PMCT_CONTRACT_SETTLE_NO ON T_PMCT_CONTRACT_SETTLE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRACT_SETTLE_A', 'T_PMCT_CONTRACT_SETTLE_A', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRACT_SETTLE_A') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRACT_SETTLE_A ON T_PMCT_CONTRACT_SETTLE_A ( FTOTALSETTLEOFAMOUNT );


 EXEC P_ALTERPK 'PK_T_PMCT_SETTLE_DETAILENTRY', 'T_PMCT_SETTLE_DETAILENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_SETTLE_DETAIL_ENTRY') CREATE  CLUSTERED INDEX IDX_PMCT_SETTLE_DETAIL_ENTRY ON T_PMCT_SETTLE_DETAILENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_SETTLEMATINENTRY', 'T_PMCT_SETTLEMATINENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_SETTLEMATINENTRY_FK') CREATE  CLUSTERED INDEX IDX_PMCT_SETTLEMATINENTRY_FK ON T_PMCT_SETTLEMATINENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_SETTLE_ITEMENTRY', 'T_PMCT_SETTLE_ITEMENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_T_SETTITEMEN_FID') CREATE  CLUSTERED INDEX IDX_PMCT_T_SETTITEMEN_FID ON T_PMCT_SETTLE_ITEMENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_SETTLE_LISTENTRY', 'T_PMCT_SETTLE_LISTENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_SETTLE_LISTENTRY') CREATE  CLUSTERED INDEX IDX_PMCT_SETTLE_LISTENTRY ON T_PMCT_SETTLE_LISTENTRY ( FLISTINGID );


 EXEC P_ALTERPK 'PK_T_PMCT_SETTLE_MODELENTRY', 'T_PMCT_SETTLE_MODELENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_MODELENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_MODELENTRY_1 ON T_PMCT_SETTLE_MODELENTRY ( FMODELNAME );


 EXEC P_ALTERPK 'PK_T_PMCT_CLAIMBILL', 'T_PMCT_CLAIMBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CLAIMBILL_1') CREATE  CLUSTERED INDEX IDX_PMCT_CLAIMBILL_1 ON T_PMCT_CLAIMBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_CLARIFIC', 'T_PMCT_CLARIFIC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CLARIFIC_1') CREATE  CLUSTERED INDEX IDX_PMCT_CLARIFIC_1 ON T_PMCT_CLARIFIC ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_CLARIFICENTRY', 'T_PMCT_CLARIFICENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CLARIFICENTRY') CREATE  CLUSTERED INDEX IDX_PMCT_CLARIFICENTRY ON T_PMCT_CLARIFICENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_FINALSETTLE_S', 'T_PMCT_FINALSETTLE_S', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_FINALSETTLE_S_1') CREATE  CLUSTERED INDEX IDX_PMCT_FINALSETTLE_S_1 ON T_PMCT_FINALSETTLE_S ( FINITAMOUNT );


 EXEC P_ALTERPK 'PK_T_PMCT_PERFORMENTRY', 'T_PMCT_PERFORMENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PERFORMENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_PERFORMENTRY_1 ON T_PMCT_PERFORMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_PERFORMRECORDS', 'T_PMCT_PERFORMRECORDS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PERFORMRECORDS_1') CREATE  CLUSTERED INDEX IDX_PMCT_PERFORMRECORDS_1 ON T_PMCT_PERFORMRECORDS ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_FINALSETTLE', 'T_PMCT_FINALSETTLE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_FINALSETTLE_1') CREATE  CLUSTERED INDEX IDX_PMCT_FINALSETTLE_1 ON T_PMCT_FINALSETTLE ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_INAPPLYENTRY', 'T_PMCT_INAPPLYENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INAPPLYENTRY_FID') CREATE  CLUSTERED INDEX IDX_T_PMCT_INAPPLYENTRY_FID ON T_PMCT_INAPPLYENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_INAPPLYSUBENTRY', 'T_PMCT_INAPPLYSUBENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INAPPLYSUBENTRY') CREATE  CLUSTERED INDEX IDX_T_PMCT_INAPPLYSUBENTRY ON T_PMCT_INAPPLYSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_PMCT_INCOMEAPPLY', 'T_PMCT_INCOMEAPPLY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INCOMEAPPLY_FBILLNO') CREATE  CLUSTERED INDEX IDX_T_PMCT_INCOMEAPPLY_FBILLNO ON T_PMCT_INCOMEAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_INCOMEREGENTRY', 'T_PMCT_INCOMEREGENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INCOMEREGENTRY_FID') CREATE  CLUSTERED INDEX IDX_T_PMCT_INCOMEREGENTRY_FID ON T_PMCT_INCOMEREGENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_INCOMEREGISTER', 'T_PMCT_INCOMEREGISTER', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_INCOMEREG_NO') CREATE  CLUSTERED INDEX IDX_T_PMCT_INCOMEREG_NO ON T_PMCT_INCOMEREGISTER ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_PAYMENTREGENTRY', 'T_PMCT_PAYMENTREGENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_PAYTREGENTRY_NUM') CREATE  CLUSTERED INDEX IDX_T_PMCT_PAYTREGENTRY_NUM ON T_PMCT_PAYMENTREGENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_PAYMENTREGISTER', 'T_PMCT_PAYMENTREGISTER', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_PAYMENTREG_NUM') CREATE  CLUSTERED INDEX IDX_T_PMCT_PAYMENTREG_NUM ON T_PMCT_PAYMENTREGISTER ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_PAYAPPLYENTRY', 'T_PMCT_PAYAPPLYENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_PAYAPPLYENTRY_NUM') CREATE  CLUSTERED INDEX IDX_T_PMCT_PAYAPPLYENTRY_NUM ON T_PMCT_PAYAPPLYENTRY ( FID );


 EXEC P_ALTERPK 'PK_PMCT_PAYAPPLYINV', 'T_PMCT_PAYAPPLYINV', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_PAYAPPLYINV_NUM') CREATE  CLUSTERED INDEX IDX_T_PMCT_PAYAPPLYINV_NUM ON T_PMCT_PAYAPPLYINV ( FSEQ );


 EXEC P_ALTERPK 'PK_PMCT_PAYTAPPLY', 'T_PMCT_PAYTAPPLY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMCT_PAYTAPPLY_NUM') CREATE  CLUSTERED INDEX IDX_T_PMCT_PAYTAPPLY_NUM ON T_PMCT_PAYTAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_REVISION', 'T_PMCT_REVISION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_REVISION_NUMBER') CREATE  CLUSTERED INDEX IDX_PMCT_REVISION_NUMBER ON T_PMCT_REVISION ( FBILLNO );


 EXEC P_ALTERPK 'PK_PMCT_REVISIONCARDENTRY', 'T_PMCT_REVISIONCARDENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_REVISIONCARDENTRY_SEQ') CREATE  CLUSTERED INDEX IDX_PMCT_REVISIONCARDENTRY_SEQ ON T_PMCT_REVISIONCARDENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PMCT_REVISIONSUBENTRY', 'T_PMCT_REVISIONSUBENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_REVISIONSUBENTRY_SEQ') CREATE  CLUSTERED INDEX IDX_PMCT_REVISIONSUBENTRY_SEQ ON T_PMCT_REVISIONSUBENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_T_PMCT_FUNDITEM', 'T_PMCT_FUNDITEM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_FUNDITEM_1') CREATE  CLUSTERED INDEX IDX_PMCT_FUNDITEM_1 ON T_PMCT_FUNDITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_FUNDITEM_L', 'T_PMCT_FUNDITEM_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_FUNDITEM_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_FUNDITEM_L_1 ON T_PMCT_FUNDITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CLARIFICTYPE', 'T_PMCT_CLARIFICTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CLARIFICTYPE_1') CREATE  CLUSTERED INDEX IDX_PMCT_CLARIFICTYPE_1 ON T_PMCT_CLARIFICTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CLARIFICTYPE_L', 'T_PMCT_CLARIFICTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CLARIFICTYPE_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CLARIFICTYPE_L_1 ON T_PMCT_CLARIFICTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTATTR', 'T_PMCT_CONTATTR', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTATTR_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTATTR_1 ON T_PMCT_CONTATTR ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTATTR_L', 'T_PMCT_CONTATTR_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTATTR_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTATTR_L_1 ON T_PMCT_CONTATTR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTKIND', 'T_PMCT_CONTKIND', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTKIND_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTKIND_1 ON T_PMCT_CONTKIND ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTKIND_L', 'T_PMCT_CONTKIND_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTKIND_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTKIND_L_1 ON T_PMCT_CONTKIND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTTYPE', 'T_PMCT_CONTTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTTYPE_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTTYPE_1 ON T_PMCT_CONTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTTYPE_L', 'T_PMCT_CONTTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTTYPE_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTTYPE_L_1 ON T_PMCT_CONTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTCONFIG', 'T_PMCT_LISTCONFIG', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTCONFIG_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTCONFIG_1 ON T_PMCT_LISTCONFIG ( FTABNAME );


 EXEC P_ALTERPK 'PK_T_PMCT_RISKTYPE', 'T_PMCT_RISKTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_RISKTYPE_1') CREATE  CLUSTERED INDEX IDX_PMCT_RISKTYPE_1 ON T_PMCT_RISKTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_RISKTYPE_L', 'T_PMCT_RISKTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_RISKTYPE_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_RISKTYPE_L_1 ON T_PMCT_RISKTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_TRANSACTYPE', 'T_PMCT_TRANSACTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_TRANSACTYPE_1') CREATE  CLUSTERED INDEX IDX_PMCT_TRANSACTYPE_1 ON T_PMCT_TRANSACTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_TRANSACTYPE_L', 'T_PMCT_TRANSACTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_TRANSACTYPE_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_TRANSACTYPE_L_1 ON T_PMCT_TRANSACTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINFO', 'T_PMCT_LISTINFO', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINFO_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINFO_1 ON T_PMCT_LISTINFO ( FPROPNUM );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINFO_L', 'T_PMCT_LISTINFO_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINFO_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINFO_L_1 ON T_PMCT_LISTINFO_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGCOMPONENT', 'T_PMCT_LISTINGCOMPONENT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINGCOMPONENT_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINGCOMPONENT_1 ON T_PMCT_LISTINGCOMPONENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGCOMPONENT_L', 'T_PMCT_LISTINGCOMPONENT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTCOMPONENT_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTCOMPONENT_L_1 ON T_PMCT_LISTINGCOMPONENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGGROUP', 'T_PMCT_LISTINGGROUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINGGROUP_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINGGROUP_1 ON T_PMCT_LISTINGGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGGROUP_L', 'T_PMCT_LISTINGGROUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINGGROUP_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINGGROUP_L_1 ON T_PMCT_LISTINGGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGMODEL', 'T_PMCT_LISTINGMODEL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINGMODEL_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINGMODEL_1 ON T_PMCT_LISTINGMODEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTINGMODEL_L', 'T_PMCT_LISTINGMODEL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTINGMODEL_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTINGMODEL_L_1 ON T_PMCT_LISTINGMODEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTTEMPLATE', 'T_PMCT_CONTTEMPLATE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTTEMPLATE_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTTEMPLATE_1 ON T_PMCT_CONTTEMPLATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTTEMPLATE_L', 'T_PMCT_CONTTEMPLATE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTTEMPLATE_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTTEMPLATE_L_1 ON T_PMCT_CONTTEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_PAYITEM', 'T_PMCT_PAYITEM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PAYITEM_1') CREATE  CLUSTERED INDEX IDX_PMCT_PAYITEM_1 ON T_PMCT_PAYITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_PAYITEM_L', 'T_PMCT_PAYITEM_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PAYITEM_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_PAYITEM_L_1 ON T_PMCT_PAYITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_PAYITEMENTRY', 'T_PMCT_PAYITEMENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PAYITEMENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_PAYITEMENTRY_1 ON T_PMCT_PAYITEMENTRY ( FITEMID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTROLCONFIG', 'T_PMCT_CONTROLCONFIG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTROLCONFIG_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTROLCONFIG_1 ON T_PMCT_CONTROLCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTROLCONFIG_L', 'T_PMCT_CONTROLCONFIG_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTROLCONFIG_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTROLCONFIG_L_1 ON T_PMCT_CONTROLCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_INDUSELEGROUP_L', 'T_PMCT_INDUSELEGROUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_INDUSELEGROUP_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_INDUSELEGROUP_L_1 ON T_PMCT_INDUSELEGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_INDUSELEGROUP', 'T_PMCT_INDUSELEGROUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_INDUSELEGROUP_1') CREATE  CLUSTERED INDEX IDX_PMCT_INDUSELEGROUP_1 ON T_PMCT_INDUSELEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRICHTEXT', 'T_PMCT_CONTRICHTEXT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRICHTEXT_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRICHTEXT_1 ON T_PMCT_CONTRICHTEXT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRACT', 'T_PMCT_CONTRACT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRACT_BILLNO') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRACT_BILLNO ON T_PMCT_CONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTMODELENTRY', 'T_PMCT_LISTMODELENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTMODELENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTMODELENTRY_1 ON T_PMCT_LISTMODELENTRY ( FMODELNAME );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTPLANENTRY', 'T_PMCT_CONTPLANENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTPLANENTRY_FID') CREATE  CLUSTERED INDEX IDX_PMCT_CONTPLANENTRY_FID ON T_PMCT_CONTPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_INPLANENTRY', 'T_PMCT_INPLANENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_INPLANENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_INPLANENTRY_1 ON T_PMCT_INPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_PAYPLANENTRY', 'T_PMCT_PAYPLANENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_PAYPLANENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_PAYPLANENTRY_1 ON T_PMCT_PAYPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_REVISERISKENTRY', 'T_PMCT_REVISERISKENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_REVISERISKENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_REVISERISKENTRY_1 ON T_PMCT_REVISERISKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_OTHERPARTS', 'T_PMCT_OTHERPARTS', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_OTHERPARTS_FID') CREATE  CLUSTERED INDEX IDX_PMCT_OTHERPARTS_FID ON T_PMCT_OTHERPARTS ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTENTRY', 'T_PMCT_LISTENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTENTRY_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTENTRY_1 ON T_PMCT_LISTENTRY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMCT_LISTENTRY_L', 'T_PMCT_LISTENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_LISTENTRY_L_1') CREATE  CLUSTERED INDEX IDX_PMCT_LISTENTRY_L_1 ON T_PMCT_LISTENTRY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRISKENTRY', 'T_PMCT_CONTRISKENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRISKENTRY_FID') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRISKENTRY_FID ON T_PMCT_CONTRISKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRACT_S', 'T_PMCT_CONTRACT_S', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRACT_S_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRACT_S_1 ON T_PMCT_CONTRACT_S ( FTOTALAMOUNT );


 EXEC P_ALTERPK 'PK_T_PMCT_CONTRACTREVISION', 'T_PMCT_CONTRACTREVISION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMCT_CONTRACTREVISION_1') CREATE  CLUSTERED INDEX IDX_PMCT_CONTRACTREVISION_1 ON T_PMCT_CONTRACTREVISION ( FBILLNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_constraint.sql **/
