﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_IN_INVOICE') 
 CREATE TABLE T_PMCT_IN_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FISCLAIMED CHAR(1) DEFAULT ' ' NOT NULL,
FISSUBDEDUCTED CHAR(1) DEFAULT ' ' NOT NULL,
FCANDEDUCT CHAR(1) DEFAULT ' ' NOT NULL,
FISDEDUCTED CHAR(1) DEFAULT ' ' NOT NULL,
FISADVANCECOST CHAR(1) DEFAULT ' ' NOT NULL,
FISRECEIVED CHAR(1) DEFAULT ' ' NOT NULL,
FCONNECTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEDATE DATETIME,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTHENDATE DATETIME,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUYERID BIGINT DEFAULT 0 NOT NULL,
FBUYERTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERBANK VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERADDRESS VARCHAR(200) DEFAULT ' ' NOT NULL,
FBUYPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERID BIGINT DEFAULT 0 NOT NULL,
FSELLERTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERBANK VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERADDRESS VARCHAR(200) DEFAULT ' ' NOT NULL,
FSELLERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INVOICEENTRY') 
 CREATE TABLE T_PMCT_INVOICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FOFTAXPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INVOICEPICTURE') 
 CREATE TABLE T_PMCT_INVOICEPICTURE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFILENAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUPLOADDATE DATETIME,
FIMAGEURL VARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_OUT_INVOICE') 
 CREATE TABLE T_PMCT_OUT_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FINVOICESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBUYERTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERBANK VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUYERADDRESS VARCHAR(200) DEFAULT ' ' NOT NULL,
FBUYERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERBANK VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERADDRESS VARCHAR(200) DEFAULT ' ' NOT NULL,
FSELLERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FISSTATE CHAR(1) DEFAULT '0' NOT NULL,
FBUYERID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELLERID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISCLAIMED CHAR(1) DEFAULT '0' NOT NULL,
FCONNECTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INVOICE_CONFIG') 
 CREATE TABLE T_PMCT_INVOICE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPSECRET VARCHAR(100) DEFAULT ' ' NOT NULL,
FENCRYPTKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACT_SETTLE') 
 CREATE TABLE T_PMCT_CONTRACT_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FISONLIST CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FISMULTIRATE CHAR(1) DEFAULT '0' NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTATTRID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSETTLEBYMATIN CHAR(1) DEFAULT '0' NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTSOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBIZACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FFIACCOUNTORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACT_SETTLE_A') 
 CREATE TABLE T_PMCT_CONTRACT_SETTLE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FNOTCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALNOTCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALPLANPAYOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALPAYOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDNOTCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALNOTCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALPLANPAYOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALREALPAYOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FNOTCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALNOTCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALPLANPAYOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALPAYOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDNOTCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALNOTCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALSETTLEOFAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALPLANPAYOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALREALPAYOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FNOTCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALNOTCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALPLANPAYTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALPAYTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDNOTCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALNOTCALTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALSETTLETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALPLANPAYTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTOTALREALPAYTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SETTLE_DETAILENTRY') 
 CREATE TABLE T_PMCT_SETTLE_DETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDETAILITEM VARCHAR(100) DEFAULT ' ' NOT NULL,
FDETAILPAYITEMID BIGINT DEFAULT 0 NOT NULL,
FDETAILOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDETAILTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDETAILAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCOMMON VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERBILLNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERBILLID BIGINT DEFAULT 0 NOT NULL,
FREFERENTRYID BIGINT DEFAULT 0 NOT NULL,
FREFERBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAILAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SETTLEMATINENTRY') 
 CREATE TABLE T_PMCT_SETTLEMATINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATINNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMATINNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FMATINPERIOD BIGINT DEFAULT 0 NOT NULL,
FMATTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTRANSSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALINBILLID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SETTLE_ITEMENTRY') 
 CREATE TABLE T_PMCT_SETTLE_ITEMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYITEMID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SETTLE_LISTENTRY') 
 CREATE TABLE T_PMCT_SETTLE_LISTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLISTINGID BIGINT DEFAULT 0 NOT NULL,
FLISTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNITID BIGINT DEFAULT 0 NOT NULL,
FTOTALQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENTRYTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURTAXPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPREQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPREAMOUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTHISAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTHISTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTHISOFTAXMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLSTQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESC VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SETTLE_MODELENTRY') 
 CREATE TABLE T_PMCT_SETTLE_MODELENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLISTMODELID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCMPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLAIMBILL') 
 CREATE TABLE T_PMCT_CLAIMBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FREQDATE DATETIME,
FREPLYDATE DATETIME,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCLAIMAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCLAIMOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FISMULTIRATE CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDCLAIMOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDCLAIMAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL,
FISSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FISNEEDSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FCONTPAYITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLARIFIC') 
 CREATE TABLE T_PMCT_CLARIFIC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCLARIFICPEOPLE BIGINT DEFAULT 0 NOT NULL,
FCLARIFICDATE DATETIME,
FCONTENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FCLARIFICTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLARIFICENTRY') 
 CREATE TABLE T_PMCT_CLARIFICENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREMARKS VARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION VARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FUNITTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FPEOPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPEOPLEF7 BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FINALSETTLE_S') 
 CREATE TABLE T_PMCT_FINALSETTLE_S (
FID BIGINT DEFAULT 0 NOT NULL,
FINITAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINITTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINITTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCHANGEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCHANGETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLETAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICETAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPAYTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMAINTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPERFORMTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PERFORMENTRY') 
 CREATE TABLE T_PMCT_PERFORMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRANSACTYPE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISCLAIM VARCHAR(30) DEFAULT ' ' NOT NULL,
FRECORD VARCHAR(100) DEFAULT ' ' NOT NULL,
FLIMITSCOPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTDAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FISNEEDSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTPAYITEMID BIGINT DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PERFORMRECORDS') 
 CREATE TABLE T_PMCT_PERFORMRECORDS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPARTY VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FINALSETTLE') 
 CREATE TABLE T_PMCT_FINALSETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FISMULTIRATE CHAR(1) DEFAULT ' ' NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT ' ' NOT NULL,
FISONLIST CHAR(1) DEFAULT ' ' NOT NULL,
FAPPTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTATTR BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INAPPLYENTRY') 
 CREATE TABLE T_PMCT_INAPPLYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDRECEIPTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRECEIVER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALUNINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALUNRECEIPTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPLYOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTARTRECEIPTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FFITOTALRECEIVEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPLYTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INAPPLYSUBENTRY') 
 CREATE TABLE T_PMCT_INAPPLYSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICE BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICETAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAXINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICECURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INCOMEAPPLY') 
 CREATE TABLE T_PMCT_INCOMEAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERSON BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INCOMEREGENTRY') 
 CREATE TABLE T_PMCT_INCOMEREGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALUNRECEIPTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRECEIPTOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENDRECEIPTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINCOMENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTRECEIPTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FPREAPPLYOFTAXAMTSUM DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRECEIPTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRECEIPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INCOMEREGISTER') 
 CREATE TABLE T_PMCT_INCOMEREGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYMENTREGENTRY') 
 CREATE TABLE T_PMCT_PAYMENTREGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALUNPAIDOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTHISPAYMENTOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENDPAYMENTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPAYMENTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYERACCOUNT BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTPAYMENTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FPREAPPLYOFTAXAMTSUM DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTHISPAYMENTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTHISPAYMENTTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYMENTREGISTER') 
 CREATE TABLE T_PMCT_PAYMENTREGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYAPPLYENTRY') 
 CREATE TABLE T_PMCT_PAYAPPLYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENDPAYMENTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBANKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYMENTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALUNINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALUNPAIDOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPLYOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTARTPAYMENTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALINVOICEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBEBANKID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FFITOTALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMENTDATE DATETIME,
FCONTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPLYTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYAPPLYINV') 
 CREATE TABLE T_PMCT_PAYAPPLYINV (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICE BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICETAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAXINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINVOICECURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYTAPPLY') 
 CREATE TABLE T_PMCT_PAYTAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERSON BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISION') 
 CREATE TABLE T_PMCT_REVISION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREVISIONAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREVISIONOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISBASEDONLIST CHAR(1) DEFAULT '0' NOT NULL,
FCHANGEREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTIRATE CHAR(1) DEFAULT ' ' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDREOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDREVISIONAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISIONCARDENTRY') 
 CREATE TABLE T_PMCT_REVISIONCARDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCMPTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FROWTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLISTMODELID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISIONSUBENTRY') 
 CREATE TABLE T_PMCT_REVISIONSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBCHANGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPERLISTINGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPERLISTINGID BIGINT DEFAULT 0 NOT NULL,
FNEWLISTINGID BIGINT DEFAULT 0 NOT NULL,
FPARENTLISTINGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTID BIGINT DEFAULT 0 NOT NULL,
FLISTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNIT VARCHAR(100) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRATEOBJID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE1 DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FHANSHUIDANJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDIRECTFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMANFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FEQUFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMANEQUFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTMPFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FYIJIESUANSL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FYIJIESUANHSJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBIANGENGSL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSHOUYINGXSL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBIANGENGHOUHSDJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FHSBGJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBGHHSZJE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREAMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
FQINGDANLEIXINGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FUNDITEM') 
 CREATE TABLE T_PMCT_FUNDITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FUNDITEM_L') 
 CREATE TABLE T_PMCT_FUNDITEM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLARIFICTYPE') 
 CREATE TABLE T_PMCT_CLARIFICTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLARIFICTYPE_L') 
 CREATE TABLE T_PMCT_CLARIFICTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTATTR') 
 CREATE TABLE T_PMCT_CONTATTR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTATTR_L') 
 CREATE TABLE T_PMCT_CONTATTR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTKIND') 
 CREATE TABLE T_PMCT_CONTKIND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTKIND_L') 
 CREATE TABLE T_PMCT_CONTKIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTTYPE') 
 CREATE TABLE T_PMCT_CONTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCONATTRID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FISONLIST CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTTYPE_L') 
 CREATE TABLE T_PMCT_CONTTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTCONFIG') 
 CREATE TABLE T_PMCT_LISTCONFIG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTABNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTMODEL BIGINT DEFAULT 0 NOT NULL,
FCOMPUTERULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLISTDESC VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_RISKTYPE') 
 CREATE TABLE T_PMCT_RISKTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_RISKTYPE_L') 
 CREATE TABLE T_PMCT_RISKTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_TRANSACTYPE') 
 CREATE TABLE T_PMCT_TRANSACTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_TRANSACTYPE_L') 
 CREATE TABLE T_PMCT_TRANSACTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINFO') 
 CREATE TABLE T_PMCT_LISTINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROPNUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISSYS VARCHAR(100) DEFAULT ' ' NOT NULL,
FISSHOWED CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINFO_L') 
 CREATE TABLE T_PMCT_LISTINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSHOWNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGCOMPONENT') 
 CREATE TABLE T_PMCT_LISTINGCOMPONENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FISSYS CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGCOMPONENT_L') 
 CREATE TABLE T_PMCT_LISTINGCOMPONENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGGROUP') 
 CREATE TABLE T_PMCT_LISTINGGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGGROUP_L') 
 CREATE TABLE T_PMCT_LISTINGGROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGMODEL') 
 CREATE TABLE T_PMCT_LISTINGMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTINGMODEL_L') 
 CREATE TABLE T_PMCT_LISTINGMODEL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTTEMPLATE') 
 CREATE TABLE T_PMCT_CONTTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FTEMPLATETYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCONTATTR BIGINT DEFAULT 0 NOT NULL,
FEFFECTIVE CHAR(1) DEFAULT '0' NOT NULL,
FRICHTEXT NCLOB,
FRICHTEXT_TAG NCLOB,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTTEMPLATE_L') 
 CREATE TABLE T_PMCT_CONTTEMPLATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYITEM') 
 CREATE TABLE T_PMCT_PAYITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCONTATTRID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYMENTITEMTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMPUTESOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISUPDATEAMOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FISCOMPUTE CHAR(1) DEFAULT ' ' NOT NULL,
FISPREITEM CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYITEM_L') 
 CREATE TABLE T_PMCT_PAYITEM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYITEMENTRY') 
 CREATE TABLE T_PMCT_PAYITEMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(100) DEFAULT ' ' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FPERCENT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTROLCONFIG') 
 CREATE TABLE T_PMCT_CONTROLCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISENTRY CHAR(1) DEFAULT '0' NOT NULL,
FISPRIVATEINFO CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTROLCONFIG_L') 
 CREATE TABLE T_PMCT_CONTROLCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INDUSELEGROUP_L') 
 CREATE TABLE T_PMCT_INDUSELEGROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INDUSELEGROUP') 
 CREATE TABLE T_PMCT_INDUSELEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRICHTEXT') 
 CREATE TABLE T_PMCT_CONTRICHTEXT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FRICHTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FRICHTEXT NCLOB,
FRICHTEXT_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACT') 
 CREATE TABLE T_PMCT_CONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISMULTICONTRACT CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT ' ' NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FEXCHANGEDATE DATETIME,
FISONLIST CHAR(1) DEFAULT ' ' NOT NULL,
FISMULTIRATE CHAR(1) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPARTAID BIGINT DEFAULT 0 NOT NULL,
FPARTBID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FISINCOST CHAR(1) DEFAULT '1' NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FVERSIONNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTVERSIONNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASCONTTEXT CHAR(1) DEFAULT ' ' NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FBIZACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FFIACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FBUGETITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTMODELENTRY') 
 CREATE TABLE T_PMCT_LISTMODELENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCMPTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FROWTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWOFTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLISTMODELID VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODELNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTPLANENTRY') 
 CREATE TABLE T_PMCT_CONTPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYMETHOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYPERCENT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPLANPAYTIME DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INPLANENTRY') 
 CREATE TABLE T_PMCT_INPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINCOMETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINCOMEMETHOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FINCOMEPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCOMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANINCOMETIME DATETIME,
FINCOMEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYPLANENTRY') 
 CREATE TABLE T_PMCT_PAYPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYMETHOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANPAYTIME DATETIME,
FPAYDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISERISKENTRY') 
 CREATE TABLE T_PMCT_REVISERISKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKTYPE BIGINT DEFAULT 0 NOT NULL,
FRISKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FRISKDESC VARCHAR(200) DEFAULT ' ' NOT NULL,
FMEASURES VARCHAR(200) DEFAULT ' ' NOT NULL,
FISLEGALRISK CHAR(1) DEFAULT ' ' NOT NULL,
FRISKSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_OTHERPARTS') 
 CREATE TABLE T_PMCT_OTHERPARTS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTENTRY') 
 CREATE TABLE T_PMCT_LISTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(120) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISLEAF VARCHAR(30) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMEASUREUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLISTINGMODELID BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLSTSETTLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLSTSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHANGEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHGEFFECTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHGOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLSTOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVGTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCHANGED CHAR(1) DEFAULT ' ' NOT NULL,
FISADDNEW CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID VARCHAR(100) DEFAULT '0' NOT NULL,
FLISTPARENTID VARCHAR(100) DEFAULT '0' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FRATEOBJID BIGINT DEFAULT 0 NOT NULL,
FSYSNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LISTENTRY_L') 
 CREATE TABLE T_PMCT_LISTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRISKENTRY') 
 CREATE TABLE T_PMCT_CONTRISKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKTYPE BIGINT DEFAULT 0 NOT NULL,
FRISKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FRISKDESC VARCHAR(200) DEFAULT ' ' NOT NULL,
FMEASURES VARCHAR(200) DEFAULT ' ' NOT NULL,
FISLEGALRISK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACT_S') 
 CREATE TABLE T_PMCT_CONTRACT_S (
FID BIGINT DEFAULT 0 NOT NULL,
FPERFORMTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAPPTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDORIGINALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALNOTCALOFAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALNOTCALOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FORIGINALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FORIGINALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREVISIONAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALVISAAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALINVOICEOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREVISIONOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALVISAOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALREALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALAPPLYOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCLAIMAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCLAIMOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACTREVISION') 
 CREATE TABLE T_PMCT_CONTRACTREVISION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCONTRACTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSIONNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
