﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTTYPE' AND KSQL_COL_NAME ='FAMMOUNTCONTROLSETTLE') 
 ALTER TABLE T_PMCT_CONTTYPE ADD (FAMMOUNTCONTROLSETTLE VARCHAR(30) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTTYPE' AND KSQL_COL_NAME ='FSETTLECONTROLAPPLY') 
 ALTER TABLE T_PMCT_CONTTYPE ADD (FSETTLECONTROLAPPLY VARCHAR(30) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTTYPE' AND KSQL_COL_NAME ='FAMMOUNTCONTROLAPPLY') 
 ALTER TABLE T_PMCT_CONTTYPE ADD (FAMMOUNTCONTROLAPPLY VARCHAR(30) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_STRATEGICAGREEMENT') 
 CREATE TABLE T_PMCT_STRATEGICAGREEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FAGREEMENTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPARTAID BIGINT DEFAULT 0 NOT NULL,
FPARTBID BIGINT DEFAULT 0 NOT NULL,
FAGREEMENTVALIDDATE DATETIME,
FAGREEMENTEXPIREDATE DATETIME,
FADAPTESCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPARTBSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISAGREEMENTAMOUNT VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(3,1) DEFAULT 0.0 NOT NULL,
FAGREEMENTAMOUNT DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRENEW CHAR(1) DEFAULT '0' NOT NULL,
FRENEWPARTBSCOPE CHAR(1) DEFAULT '0' NOT NULL,
FRENEWORGSCOPE CHAR(1) DEFAULT '0' NOT NULL,
FRENEWPRICESCOPE CHAR(1) DEFAULT '0' NOT NULL,
FAGREEMENTORIDATE DATETIME,
FAGREEMENTDELAYDATE DATETIME,
FRENEWSTATEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESETADAPTESCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVALIDSTATEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESETPARTBSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVERIFYVALID CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTDATE DATETIME,
FPARTAPERSONID BIGINT DEFAULT 0 NOT NULL,
FSIGNPARTBINFO VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILADRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBILLSTATUS VARCHAR(30) DEFAULT 'A' NOT NULL,
FAGREEMENTSTATE VARCHAR(30) DEFAULT 'A' NOT NULL,
FAGREEMENTBILLFROM VARCHAR(30) DEFAULT 'D' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FPREVIOUSBILLID BIGINT DEFAULT 0 NOT NULL,
FISLATEST CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ORGSCOPEENTRY') 
 CREATE TABLE T_PMCT_ORGSCOPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSCOPEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PRICEDETAILENTRY') 
 CREATE TABLE T_PMCT_PRICEDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLISTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLISTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FPRICEWITHTAX DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FPRICEWITHOUTTAX DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FTAXID BIGINT DEFAULT 0 NOT NULL,
FAMOUNTWITHTAX DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FAMOUNTWITHOUTTAX DECIMAL(23,10) DEFAULT 0.0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PROJECTSCOPEENTRY') 
 CREATE TABLE T_PMCT_PROJECTSCOPEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PARTBSCOPEENTRY') 
 CREATE TABLE T_PMCT_PARTBSCOPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT' AND KSQL_COL_NAME ='FINITIMPORT') 
 ALTER TABLE T_PMCT_CONTRACT ADD (FINITIMPORT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT' AND KSQL_COL_NAME ='FOPENEDCONTRACT') 
 ALTER TABLE T_PMCT_CONTRACT ADD (FOPENEDCONTRACT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT' AND KSQL_COL_NAME ='FSTRATEGICAGREEMENTID') 
 ALTER TABLE T_PMCT_CONTRACT ADD (FSTRATEGICAGREEMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_STATCHANGEENTRY') 
 CREATE TABLE T_PMCT_STATCHANGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FITEMSETTAOMUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FITEMPAYAOMUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FITEMAPPAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FITEMSUBAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_STATUSCHANGE' AND KSQL_COL_NAME ='FAPPAMOUNT') 
 ALTER TABLE T_PMCT_STATUSCHANGE ADD (FAPPAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_STATUSCHANGE' AND KSQL_COL_NAME ='FAPPTAX') 
 ALTER TABLE T_PMCT_STATUSCHANGE ADD (FAPPTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_STATUSCHANGE' AND KSQL_COL_NAME ='FAPPTAXAMOUNT') 
 ALTER TABLE T_PMCT_STATUSCHANGE ADD (FAPPTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_STATUSCHANGE' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_PMCT_STATUSCHANGE ADD (FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_STATUSCHANGE' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_PMCT_STATUSCHANGE ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_FINALBUDGETENTRY' AND KSQL_COL_NAME ='FITEMSETTAOMUNT') 
 ALTER TABLE T_PMCT_FINALBUDGETENTRY ADD (FITEMSETTAOMUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_FINALBUDGETENTRY' AND KSQL_COL_NAME ='FITEMPAYAOMUNT') 
 ALTER TABLE T_PMCT_FINALBUDGETENTRY ADD (FITEMPAYAOMUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_PERFORMENTRY' AND KSQL_COL_NAME ='FBUDGETITEMID') 
 ALTER TABLE T_PMCT_PERFORMENTRY ADD (FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_APPLYMENTPAY') 
 CREATE TABLE T_PMCT_APPLYMENTPAY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBANK VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FAPPLICANTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURPAYTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYPAYTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSETTLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEUNPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEUNPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWRITEOFFLOANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ININVOICEENTRY') 
 CREATE TABLE T_PMCT_ININVOICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICEID BIGINT DEFAULT 0 NOT NULL,
FINVOICEDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_SPLITENTRY') 
 CREATE TABLE T_PMCT_SPLITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUGDETITEMID BIGINT DEFAULT 0 NOT NULL,
FCURSPLITAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONTRACTMONEY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEDAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPAYEDAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSPLITDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_PAYDETAILENTRY') 
 CREATE TABLE T_PMCT_PAYDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURPAYAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURPAYAMTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_LOANENTRY') 
 CREATE TABLE T_PMCT_LOANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLOANNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FOUTPAYERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FLOANBIZDATE DATETIME,
FLOANREASON NVARCHAR(600) DEFAULT ' ' NOT NULL,
FLOANCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOANBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWRITEOFFTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
