﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ADDAGREEMENT') 
 CREATE TABLE T_PMCT_ADDAGREEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHANDLEDATE DATETIME,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMULTIRATE CHAR(1) DEFAULT ' ' NOT NULL,
FISBASEDONLIST CHAR(1) DEFAULT '0' NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FIMAGENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ADDAGREEMENT_S') 
 CREATE TABLE T_PMCT_ADDAGREEMENT_S (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FADDAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FADDAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSRCAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSRCTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSRCAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLATESTAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLATESTTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLATESTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDADDAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDADDAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDSRCAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDSRCTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDSRCAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDLATESTAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDLATESTTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTDLATESTAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ADDLISTENTRY') 
 CREATE TABLE T_PMCT_ADDLISTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBADDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPERLISTINGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPERLISTINGID BIGINT DEFAULT 0 NOT NULL,
FNEWLISTINGID BIGINT DEFAULT 0 NOT NULL,
FPARENTLISTINGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTID BIGINT DEFAULT 0 NOT NULL,
FLISTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNIT VARCHAR(100) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRATEOBJID BIGINT DEFAULT 0 NOT NULL,
FSUBTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRICEOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEDQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEDAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCHANGEQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FAFFECTEDQTY DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCHANGEDPRICEOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCHANGEAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALCHANGEDAMTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ADDMODELENTRY') 
 CREATE TABLE T_PMCT_ADDMODELENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCMPTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FLISTMODELID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_ADDPLANENTRY') 
 CREATE TABLE T_PMCT_ADDPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYFEQ VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYWAYID BIGINT DEFAULT 0 NOT NULL,
FPAYPERCENT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPAYAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPLANPAYTIME DATETIME,
FCONPLANITEMID VARCHAR(30) DEFAULT ' ' NOT NULL,
FINCOMETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINCOMEAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FINCOMEFEQ VARCHAR(30) DEFAULT ' ' NOT NULL,
FPLANINCOMETIME DATETIME,
FINCOMEPERCENT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREMARKS VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FUNDCHANGEENTRY') 
 CREATE TABLE T_PMCT_FUNDCHANGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOLDPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDPAYFEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDPAYWAYID BIGINT DEFAULT 0 NOT NULL,
FNEWPAYWAYID BIGINT DEFAULT 0 NOT NULL,
FOLDPAYPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWPAYPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHANGEPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDPLANPAYTIME DATETIME,
FNEWPLANPAYTIME DATETIME,
FREIMBURSEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREIMBURSEDCOMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREIMBURSABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDCOMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEWPAYFEQ VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_FUNDPLANCHANGE') 
 CREATE TABLE T_PMCT_FUNDPLANCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FPAYPLANSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_S' AND KSQL_COL_NAME ='FTOTALADDITIONAMOUNT') 
 ALTER TABLE T_PMCT_CONTRACT_S ADD (FTOTALADDITIONAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_S' AND KSQL_COL_NAME ='FTOTALADDITIONOFTAXAMT') 
 ALTER TABLE T_PMCT_CONTRACT_S ADD (FTOTALADDITIONOFTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
