﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
 EXEC p_AlterColumn 'T_PMCT_ADDAGREEMENT', 'FBILLNO', 'VARCHAR(80)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLAIMBILL_S') 
 CREATE TABLE T_PMCT_CLAIMBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FPRIMARYOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRIMARYTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRIMARYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTEROFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDPRIMARYOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDPRIMARYTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDPRIMARYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDAFTEROFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDAFTERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDAFTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLAIMCARDENTRY') 
 CREATE TABLE T_PMCT_CLAIMCARDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCMPTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLISTMODELID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CLAIMSUBENTRY') 
 CREATE TABLE T_PMCT_CLAIMSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSUBCLAIMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPERLISTINGNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPERLISTINGID BIGINT DEFAULT 0 NOT NULL,
FPARENTLISTINGID BIGINT DEFAULT 0 NOT NULL,
FNEWLISTINGID BIGINT DEFAULT 0 NOT NULL,
FLISTID BIGINT DEFAULT 0 NOT NULL,
FLISTNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLISTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNIT BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATEOBJ BIGINT DEFAULT 0 NOT NULL,
FSUBTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOFTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOFTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEDCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEDOFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHANGECOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEAFFECTEDCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERCLAIMOFTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISAFTEROFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBAFTEROFTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_OUTCLAIMPLANENTRY') 
 CREATE TABLE T_PMCT_OUTCLAIMPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYFEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYWAYID BIGINT DEFAULT 0 NOT NULL,
FPAYPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNTOFTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANPAYTIME DATETIME,
FREMARKS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCONPLANITEMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
