﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INCONPLANENTRY')
 CREATE TABLE T_PMCT_INCONPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIGINALOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSETTLEOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDNONPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEDNONPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FPARTAID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INNONCONPLANENTRY') 
 CREATE TABLE T_PMCT_INNONCONPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FPERIODPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_MONTHLYFUNDPLAN') 
 CREATE TABLE T_PMCT_MONTHLYFUNDPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPERIODPLANINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANOUTCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODFUNDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_OUTCONPLANENTRY') 
 CREATE TABLE T_PMCT_OUTCONPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIGINALOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSETTLEOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDNONPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEDNONPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FPARTBID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_OUTNONCONPLANENTRY') 
 CREATE TABLE T_PMCT_OUTNONCONPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGEDATE DATETIME,
FPERIODPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPLANAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_APPLYMENTPAY' AND KSQL_COL_NAME ='FPERIODPLANAMT') 
 ALTER TABLE T_PMCT_APPLYMENTPAY ADD (FPERIODPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_INAPPLYENTRY' AND KSQL_COL_NAME ='FTOTALINVOICEOFTAXAMT')
 ALTER TABLE T_PMCT_INAPPLYENTRY ADD (FTOTALINVOICEOFTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
