﻿/**Begin D:\PDM\soft\PDM_UPGRADE\pdm1\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_LISTENTRY' AND KSQL_COL_NAME ='FLSTSETTLETAXAMT') 
 ALTER TABLE T_PMCT_LISTENTRY ADD (FLSTSETTLETAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_LISTENTRY' AND KSQL_COL_NAME ='FLATESTAMOUNT') 
 ALTER TABLE T_PMCT_LISTENTRY ADD (FLATESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_ADDLISTENTRY' AND KSQL_COL_NAME ='FSETTLEDTAXAMT') 
 ALTER TABLE T_PMCT_ADDLISTENTRY ADD (FSETTLEDTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMSUBENTRY' AND KSQL_COL_NAME ='FSETTLEDTAXAMT') 
 ALTER TABLE T_PMCT_CLAIMSUBENTRY ADD (FSETTLEDTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISION' AND KSQL_COL_NAME ='FCHANGEDTAXRATEID') 
 ALTER TABLE T_PMCT_REVISION ADD (FCHANGEDTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISION' AND KSQL_COL_NAME ='FCHANGEDAVGTAXRATE') 
 ALTER TABLE T_PMCT_REVISION ADD (FCHANGEDAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISION' AND KSQL_COL_NAME ='FTAXRATECHANGE') 
 ALTER TABLE T_PMCT_REVISION ADD (FTAXRATECHANGE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_S' AND KSQL_COL_NAME ='FLSTTAXRATEID') 
 ALTER TABLE T_PMCT_CONTRACT_S ADD (FLSTTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_S' AND KSQL_COL_NAME ='FLSTAVGTAXRATE') 
 ALTER TABLE T_PMCT_CONTRACT_S ADD (FLSTAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A') 
 CREATE TABLE T_PMCT_REVISIONSUBENTRY_A (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDRATEOBJID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDTAXRATE1 DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSETTLEDTAXAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);



/**End D:\PDM\soft\PDM_UPGRADE\pdm1\PMCT_table.sql **/
