﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_INVOICE_CONFIG_L') 
 CREATE TABLE T_PMCT_INVOICE_CONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTATTR' AND KSQL_COL_NAME ='FBASICTYPE') 
 ALTER TABLE T_PMCT_CONTATTR ADD (FBASICTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTROLCONFIG' AND KSQL_COL_NAME ='FBILLTYPENAME') 
 ALTER TABLE T_PMCT_CONTROLCONFIG ADD (FBILLTYPENAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTROLCONFIG' AND KSQL_COL_NAME ='FFIELDNAME') 
 ALTER TABLE T_PMCT_CONTROLCONFIG ADD (FFIELDNAME VARCHAR(300) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACTAMTGRADE') 
 CREATE TABLE T_PMCT_CONTRACTAMTGRADE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIGINTFIELD BIGINT DEFAULT 0 NOT NULL,
FMAXAMOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISIONTYPE') 
 CREATE TABLE T_PMCT_REVISIONTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_REVISIONTYPE_L') 
 CREATE TABLE T_PMCT_REVISIONTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_CONTRACTAMTGRADE_L') 
 CREATE TABLE T_PMCT_CONTRACTAMTGRADE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_LISTENTRY' AND KSQL_COL_NAME ='FCONTLISTID') 
 ALTER TABLE T_PMCT_LISTENTRY ADD (FCONTLISTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_LISTENTRY' AND KSQL_COL_NAME ='FOUTBUDGETID') 
 ALTER TABLE T_PMCT_SETTLE_LISTENTRY ADD (FOUTBUDGETID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISION' AND KSQL_COL_NAME ='FCHANGETYPEID') 
 ALTER TABLE T_PMCT_REVISION ADD (FCHANGETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLARIFIC' AND KSQL_COL_NAME ='FPROJECTID') 
 ALTER TABLE T_PMCT_CLARIFIC ADD (FPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLARIFIC' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_PMCT_CLARIFIC ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_PERFORMRECORDS' AND KSQL_COL_NAME ='FPROJECTID') 
 ALTER TABLE T_PMCT_PERFORMRECORDS ADD (FPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_PERFORMRECORDS' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_PMCT_PERFORMRECORDS ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLARIFICENTRY' AND KSQL_COL_NAME ='FDEPARTMENTID') 
 ALTER TABLE T_PMCT_CLARIFICENTRY ADD (FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CLAIMBILL' AND KSQL_COL_NAME ='FAVGTAXRATE') 
 ALTER TABLE T_PMCT_CLAIMBILL ADD (FAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_FINALSETTLE' AND KSQL_COL_NAME ='FPROJECTID') 
 ALTER TABLE T_PMCT_FINALSETTLE ADD (FPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_FINALSETTLE' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_PMCT_FINALSETTLE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_FINALSETTLE' AND KSQL_COL_NAME ='FAVGTAXRATE') 
 ALTER TABLE T_PMCT_FINALSETTLE ADD (FAVGTAXRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMCT_table.sql **/
