<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>M9zhnnEE</id>
      <number>pmctdynamiclistscriptplugin</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>3</scripttype>
      <context><![CDATA[require("kd.bos.list.ListColumn");
require("kd.bos.mvc.list.ListDataProvider");
require("kd.bos.mvc.form.FormView");

/**
* @author 林庆利
* @date 2020-08-31
* 参考财务实现
*/
var plugin = new ListPlugin({
	beforeCreateListColumns : function(e){
		var lsp = this.getView().getFormShowParameter();
        var listColumns = lsp.getCustomParam("showFields");
        var columns = e.getListColumns();
        columns.clear();
        var dt = EntityMetadataCache.getDataEntityType(this.getEntityKey());
		var allFields = dt.getAllFields();
		for (var i = 0; i < listColumns.size(); i++) {
			var field = listColumns.get(i);
			var split = field.split(".");
			if (allFields.containsKey(split[0])) {
				var property = allFields.get(split[0]);
				//以上代码都是为了获取下面这个字段显示名称
				var columnDisplayName = property.getDisplayName().getLocaleValue();
				columns.add(this.createListColumn(field, columnDisplayName, i + 1));
			}
		}
	},
    createListColumn :function(key,columnDisplayName,colIndex){
        var col = new ListColumn();
		col.setCaption(new LocaleString(columnDisplayName));
		col.setKey(key);
		col.setListFieldKey(key);
		col.setFieldName(key);
		col.setSeq(colIndex);
		if("name" == key){
			col.setVisible(0);
		}else{
			col.setVisible(11);
		}
		
		return col;
    },

    getEntityKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entity");
		return entity;
    },
    getEntryKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entry");
		return entity;
    },
    isEntryMain :function(){
    	 var entity = this.getView().getFormShowParameter().getCustomParam("isEntryMain");
    	 return entity;
	}
});]]></context>
      <bizappid>0AF=HWDE07B0</bizappid>
      <bizunitid>0AF=HWFFTBKA</bizunitid>
      <scriptname>合同管理动态列表脚本插件</scriptname>
      <creater_id>870788289605449728</creater_id>
      <createdate>1598857031000</createdate>
      <modifydate>1598873367000</modifydate>
      <modifier_id>870788289605449728</modifier_id>
      <isv>kingdee</isv>
      <classname>kingdee.pmgt.pmct.mainpage.pmctdynamiclistscriptplugin</classname>
      <enginetype>0</enginetype>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
