/*历史数据修订查看对比、变更查看对比、索赔查看对比、补充协议查看对比的收款计划的预收款字段值从"PREPAYMENT"替换为"PRECOLLECTMENT"*/
/*修订单*/

/*原*/
update t_pmct_fundchangeentry set foldpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_contractrevision bill on bill.fid = changeBill.fsourcebillid
	left join t_pmct_contract contract on contract.fid = bill.fcontractid 
	where contract.fpaydirection = 'in'
)
and foldpaytype= 'PREPAYMENT';

/*现*/
update t_pmct_fundchangeentry set fnewpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_contractrevision bill on bill.fid = changeBill.fsourcebillid
	left join t_pmct_contract contract on contract.fid = bill.fcontractid 
	where contract.fpaydirection = 'in'
)
and fnewpaytype= 'PREPAYMENT';

/*收入补充协议*/

/*原*/
update t_pmct_fundchangeentry set foldpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_addagreement bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and foldpaytype= 'PREPAYMENT';

/*现*/
update t_pmct_fundchangeentry set fnewpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_addagreement bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and fnewpaytype= 'PREPAYMENT';

/*收入变更*/

/*原*/
update t_pmct_fundchangeentry set foldpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_revision bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and foldpaytype= 'PREPAYMENT';

/*现*/
update t_pmct_fundchangeentry set fnewpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_revision bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and fnewpaytype= 'PREPAYMENT';

/*收入索赔*/

/*原*/
update t_pmct_fundchangeentry set foldpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_claimbill bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and foldpaytype= 'PREPAYMENT';

/*现*/
update t_pmct_fundchangeentry set fnewpaytype = 'PRECOLLECTMENT' where fid 
in (
	select changeBill.fid from t_pmct_fundplanchange changeBill
	left join t_pmct_claimbill bill on bill.fid  = changeBill.fsourcebillid 
	where bill.fpaydirection = 'in'
)
and fnewpaytype= 'PREPAYMENT';
