/* 付款申请单中，将合同付款信息分录中支出类型为空的升级成结算款 */ 
update t_pmct_payapplyentry set fpaymenttype = 'SETTLEPAYMENT' where fpaymenttype = null or TRIM(fpaymenttype) = '';

/* 付款申请单中，合同付款信息分录的本次应付含税金额汇总到单据头的应付含税金额 */ 
update t_pmct_paytapply main set fpayableamount = isnull((select sum(fthispayableamount) fpayableamount from t_pmct_payapplyentry sub where main.fid = sub.fid group by sub.fid),0) where main.fpayableamount = null or main.fpayableamount = 0;